Skip to main content
GET
/
workflow-runs
/
{runId}
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

const workflowRun = await client.workflowRuns.retrieve('x');

console.log(workflowRun.id);
{
  "id": "<string>",
  "projectId": "<string>",
  "agentName": "<string>",
  "identity": {},
  "status": "running",
  "input": {},
  "state": {},
  "pendingAction": {},
  "context": {},
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Path Parameters

runId
string
required

Workflow run ID

Minimum string length: 1

Response

Workflow run details

id
string
required

Unique workflow run ID

projectId
string
required

Project ID

agentName
string
required

Agent name

identity
object
required

Identity fields for run scoping

status
enum<string>
required

Workflow run status

Available options:
running,
paused,
completed,
failed
input
object
required

Original workflow input

state
object
required

Full workflow state

pendingAction
object
required

Pending action when paused

context
object
required

Execution context

createdAt
string
required

When the run was created

updatedAt
string
required

When the run was last updated